## gate.util
Class ObjectWriter.Writer

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--gate.util.ObjectWriter.Writer

All Implemented Interfaces:
  Runnable

Enclosing class:
  ObjectWriter

private class ObjectWriter.Writer
extends Thread

I need a thread to write the object so I can read it in an buffer After that I know the size ana I can write it to the output stream after I report the size.

Fields inherited from class java.lang.Thread
`contextClassLoader, daemon, eetop, group, inheritableThreadLocals, inheritedAccessControlContext, MAX_PRIORITY, MIN_PRIORITY, name, NORM_PRIORITY, priority, single_step, stillborn, stopThreadPermission, target, threadInitNumber, threadLocals, threadQ`

Methods inherited from class java.lang.Thread

`<clinit>, activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, exit, getContextClassLoader, getName, getPriority, getThreadGroup, init, interrupt, interrupt0, interrupted, isAlive, isDaemon, isInterrupted, isInterrupted, join, join, join, nextThreadNum, registerNatives, resume, resume0, setContextClassLoader, setDaemon, setName, setPriority, setPriority0, sleep, sleep, start, stop, stop, stop0, suspend, suspend0, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`